%global forgeurl https://gitlab.com/rmnvgr/%{name}
%global tag v%{version}
%global appid fr.romainvigier.MetadataCleaner
%global gtk_version 4.6

Name:       metadata-cleaner
Version:    2.5.4
%forgemeta
Release:    1%{?dist}
Summary:    Python GTK application to view and clean metadata in files, using mat2

# - The source code is released under the terms of the GNU General Public
#   License 3.0 or later.
# - The original artwork and translations are released under the terms of the
#   Creative Commons Attribution-ShareAlike 4.0 International.
# - Additional icons from the Icon Development Kit of the GNOME Design Team are
#   released under the terms of the CC0 1.0 Universal.
License:    GPL-3.0-or-later AND CC-BY-SA-4.0 AND CC0-1.0
URL:        %{forgeurl}
Source0:    %{forgesource}

BuildArch:  noarch

BuildRequires:  libappstream-glib
BuildRequires:  desktop-file-utils
BuildRequires:  itstool
BuildRequires:  meson >= 0.59.0
BuildRequires:  pkgconfig(gtk4) >= %{gtk_version}

Requires:   dbus-common
Requires:   gtk4 >= %{gtk_version}
Requires:   libadwaita >= 1.2
Requires:   mat2

%description
Metadata within a file can tell a lot about you. Cameras record data about
when and where a picture was taken and which camera was used. Office
applications automatically add author and company information to documents and
spreadsheets. This is sensitive information and you may not want to disclose
it. This tool allows you to view metadata in your files and to get rid of it,
as much as possible. Under the hood, it relies on mat2 to parse and remove the
metadata.


%prep
%forgeautosetup -p1


%build
%meson
%meson_build


%install
%meson_install
# E: files-duplicated-waste 254383
# This comes from help files. Using 'fdupes' not safe. Better try to resolve
# this with upstream in future.
%find_lang %{appid} --with-gnome


%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop


%files -f %{appid}.lang
%license LICENSE.md LICENSES/*
%doc README.md CHANGELOG.md
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/*.desktop
%{_datadir}/dbus-1/services/*.service
%{_datadir}/glib-2.0/schemas/*.gschema.xml
%{_datadir}/icons/hicolor/scalable/*/*.svg
%{_datadir}/icons/hicolor/symbolic/*/*.svg
%{_metainfodir}/*.xml


%changelog
* Tue Oct 10 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 2.5.4-1
- Initial
